> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blockscout.com/llms.txt
> Use this file to discover all available pages before exploring further.

# get transaction logs

> **Deprecation Notice:** Per instance endpoints will be deprecated soon in favor of PRO API endpoints. Please see the [PRO API reference page](https://docs.blockscout.com/devs/pro-api-responses-and-routes) for information.



## OpenAPI

````yaml /openapi-specs/openapi-deprecation.yaml get /transactions/{transaction_hash}/logs
openapi: 3.0.0
info:
  description: API for BlockScout web app
  version: 1.0.0
  title: BlockScout API
  contact:
    email: support@blockscout.com
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
servers:
  - url: https://eth.blockscout.com/api/v2/
    description: Ethereum mainnet
  - url: https://optimism.blockscout.com/api/v2/
    description: Optimism mainnet
  - url: https://base.blockscout.com/api/v2/
    description: Base mainnet
  - url: https://eth-sepolia.blockscout.com/api/v2/
    description: Ethereum testnet
security: []
tags:
  - name: default
  - name: CelestiaService
paths:
  /transactions/{transaction_hash}/logs:
    get:
      summary: get transaction logs
      description: >-
        **Deprecation Notice:** Per instance endpoints will be deprecated soon
        in favor of PRO API endpoints. Please see the [PRO API reference
        page](https://docs.blockscout.com/devs/pro-api-responses-and-routes) for
        information.
      operationId: get_transaction_logs
      parameters:
        - $ref: '#/components/parameters/transactionHash'
      responses:
        '200':
          description: internal transactions
          content:
            application/json:
              schema:
                type: object
                required:
                  - items
                  - next_page_params
                properties:
                  items:
                    type: array
                    items:
                      $ref: '#/components/schemas/Log'
                  next_page_params:
                    type: object
                    example:
                      index: 0
                      items_count: 50
                      block_number: 2
        '400':
          description: bad input parameter
components:
  parameters:
    transactionHash:
      name: transaction_hash
      in: path
      description: Transaction hash
      required: true
      schema:
        type: string
        pattern: ^0x([A-Fa-f0-9]{64})$
  schemas:
    Log:
      type: object
      required:
        - address
        - data
        - decoded
        - index
        - smart_contract
        - topics
        - transaction_hash
      properties:
        address_hash:
          $ref: '#/components/schemas/AddressParam'
        block_hash:
          type: string
          example: '0xf90fdff5f174f7f29ebdf203d32cad2fe95376e41880bb9e731ca5eb0eef7941'
        block_number:
          type: integer
          example: 8844586
        data:
          type: string
          example: '0x000000000000000000000000000000000000000000000000006a94d74f430000'
        decoded:
          $ref: '#/components/schemas/DecodedInputLog'
          example:
            method_call: Transfer(address indexed from, address indexed to, uint256 tokens)
            method_id: '0x630cea8e'
            parameters:
              - name: signature
                type: bytes
                indexed?: true
                value: '0x0'
              - name: message
                type: bytes
                indexed?: false
                value: '0x01'
        index:
          type: integer
          example: 35
        smart_contract:
          $ref: '#/components/schemas/AddressParam'
        topics:
          type: array
          items:
            type: string
            example: '0xe1fffcc4923d04b559f4d29a8bfc6cda04eb5b0d3c460751c2402c5c5cc9109c'
        transaction_hash:
          type: string
          example: '0x08ea4d75ad0abe327a7fd368733eaeac43077989e635d800530d7906ebf3bd54'
    AddressParam:
      type: object
      required:
        - hash
        - implementation_name
        - is_contract
        - is_verified
        - name
        - private_tags
        - public_tags
        - watchlist_names
      properties:
        hash:
          type: string
          example: '0xEb533ee5687044E622C69c58B1B12329F56eD9ad'
        implementation_name:
          type: string
          example: implementationName
        name:
          type: string
          example: contractName
        ens_domain_name:
          type: string
          example: domain.eth
        metadata:
          type: object
          example:
            slug: tag_slug
            name: Tag name
            tagType: name
            ordinal: 0
            meta: {}
        is_contract:
          type: boolean
        private_tags:
          type: array
          items:
            $ref: '#/components/schemas/AddressTag'
        watchlist_names:
          type: array
          items:
            $ref: '#/components/schemas/WatchlistName'
        public_tags:
          type: array
          items:
            $ref: '#/components/schemas/AddressTag'
        is_verified:
          type: boolean
    DecodedInputLog:
      type: object
      required:
        - method_call
        - method_id
        - parameters
      properties:
        method_call:
          type: string
          example: transferFrom(address _from, address _to, uint256 _value)
        method_id:
          type: string
          example: 23b872dd
        parameters:
          type: array
          items:
            $ref: '#/components/schemas/DecodedInputLogParameter'
    AddressTag:
      type: object
      required:
        - address_hash
        - display_name
        - label
      properties:
        address_hash:
          type: string
          example: '0xEb533ee5687044E622C69c58B1B12329F56eD9ad'
        display_name:
          type: string
          example: name to show
        label:
          type: string
          example: label
    WatchlistName:
      type: object
      required:
        - display_name
        - label
      properties:
        display_name:
          type: string
          example: name to show
        label:
          type: string
          example: label
    DecodedInputLogParameter:
      type: object
      required:
        - name
        - type
        - value
        - indexed
      properties:
        name:
          type: string
          example: signature
        type:
          type: string
          example: bytes
        value:
          type: string
          example: '0x0'
        indexed:
          type: boolean

````